doctext(1)

NAME
doctext - Generate documentation pages from source files

SYNOPSIS
doctext [ -mpath path ] [ -ext n ] [ -I filename ] [ -latex ]
[ -html ] [ -index filename ] [ -indexdir filename ]
[ -jumpfile filename ] [ -outfile filename ]
[ -mapref filename ] [ -nolocation ] [ -location ]
[ -defn defnfile ] [ -dosnl ] [ -skipprefix name ]
[ -ignore string ] [ -oldargstyle ]
[ -heading string ] [ -basedir dirname ] filenames
[ -Wargdesc ] [ -Wnone ]

INPUT PARAMETERS
-mpath path
    - Sets the path where the man pages will be written
-ext n
    - Sets the extension (1-9,l, etc)
-nolocation
    - Don't give the filename where the man page info was
-I filename
    - Filename contains the public includes needed by these routines
-latex
    - Generate latex output rather than man format files
-html
    - Generate html (WWW) output rather than man format files
-man
    - Generate man (nroff) output (default)
-index filename
    - Generate a index file appropriate for tohtml (for generating WWW files)
-defn defnfilename
    - Read commands from this file after loading the default commands
-mapref filename
    - Read hyperlink database and apply to output
-indexdir dirname
    - Sets the root directory for the index file entries. For example
             -index foo.cit -indexdir \"http://www.mcs.anl.gov/foo/man\"
-outfile filename
    - Put the manpages in the indicated file
-heading name
    - Name for the heading (middle of top line)
-quotefmt
    - support '\\tt' and `\\em`
-oldargstyle
    - Allow multiple '. ' for an argument list, instead of using '+ .... -' for argument lists with multiple entries.
-skipprefix name
    - skip 'name' at the beginning of each line. This may be used for Fortran or Shell sources
-ignore string
    - skip 'name' in a function synopsis. This can be used to remove special keywords needed to build the routine but not needed by the user (e.g., special export keywords when building DLLs)
-keyword filename
    - Place keyword entries at the end of the specified file
-locdir directory
    - Uses directory in the Location: field
-dosnl
    - Generate DOS style files (return-newline instead of newline)
filenames
    - Names of the files from which documents are to be extracted
-Wargdesc
    - Warn about arguments with no description
-Wnone
    - Turn off warnings

LOCATION
doctext.cc